# $Revision: 1.183.2.4 $, $Date: 2003/07/03 21:17:24 $
#
# Conditional build:
# _without_mysql	- without mysql support
# _without_pgsql		- without PostgreSQL support
# _without_odbc		- without unixODBC support
#
# _without_static	- don't build static library
# _without_examples	- don't build and include samples
#
# _with_nas		- enable nas audio support
#
# _without_cups		- disable cups support
#

%define 	_withsql	1
%{?_without_mysql:%{?_without_pgsql:%{?_without_odbc:%define _withsql 0}}}

Summary:	The Qt3 GUI application framework
Summary(es):	Biblioteca para ejecutar aplicaciones GUI Qt
Summary(pl):	Biblioteka Qt3 do tworzenia GUI
Summary(pt_BR):	Estrutura para rodar aplicaes GUI Qt
Name:		qt
Version:	3.1.2
Release:	6
Epoch:		6
License:	GPL / QPL
Group:		X11/Libraries
Source0:	ftp://ftp.trolltech.com/qt/source/%{name}-x11-free-%{version}.tar.bz2
# Source0-md5: 156591717687799c69cf3f8b64a898f2
Patch0:		%{name}-tools.patch
Patch1:		%{name}-postgresql_7_2.patch
Patch2:		%{name}-mysql_includes.patch
Patch3:		%{name}-FHS.patch
Patch4:		%{name}-qmake-opt.patch
Patch5:		%{name}-cursors.patch
Patch6:		%{name}-qmake-nostatic.patch
Patch7:		%{name}-qmlined-fix.patch
URL:		http://www.trolltech.com/
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel >= 4.0.2
# incompatible with bison
BuildRequires:	byacc
%{!?_without_cups:BuildRequires:        cups-devel}
BuildRequires:	flex
BuildRequires:	freetype-devel >= 2.0.0
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel >= 1.0.0
BuildRequires:	libpng-devel >= 1.0.8
BuildRequires:	libstdc++-devel
BuildRequires:	libungif-devel
%{!?_without_mysql:BuildRequires:	mysql-devel}
%{?_with_nas:BuildRequires:	nas-devel}
%{?_with_prelink:BuildRequires:	objprelink}
BuildRequires:	perl
%{!?_without_pgsql:BuildRequires:	postgresql-backend-devel}
%{!?_without_pgsql:BuildRequires:	postgresql-devel}
%{!?_without_odbc:BuildRequires:	unixODBC-devel}
# BuildRequires:	xft-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
Requires:	XFree86-libs >= 4.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	qt-extensions

%define		_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_includedir	%{_prefix}/include/qt
%define         _qt_sl		%{version}
%define         _mandir         %{_prefix}/man

%description
Qt is a GUI software toolkit which simplifies the task of writing and
maintaining GUI (Graphical User Interface) applications for the X
Window System. Qt is written in C++ and is fully object-oriented.

This package contains the shared library needed to run Qt
applications, as well as the README files for Qt.

%description -l es
Contiene las bibliotecas compartidas necesarias para ejecutar
aplicaciones Qt, bien como los archivos README.

%description -l pl
Pakiet ten zawiera bibliotek niezbdn do uruchamiania aplikacji Qt,
jak rwnie pliki README z Qt.

%description -l pt_BR
Contm as bibliotecas compartilhadas necessrias para rodar aplicaes
Qt, bem como os arquivos README.

%package devel
Summary:	Development files and documentation for the Qt GUI toolkit
Summary(es):	Archivos de inclusin y documentacin necesaria para compilar aplicaciones Qt
Summary(pl):	Pliki nagwkowe, przykady i dokumentacja do biblioteki
Summary(pt_BR):	Arquivos de incluso e documentao necessria para compilar aplicaes Qt
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	XFree86-devel
Requires:	freetype-devel
Requires:	libjpeg-devel
Requires:	libmng-devel
Requires:	libpng-devel
Requires:	libstdc++-devel
Conflicts:	qt2-devel

%description devel
Contains the files necessary to develop applications using Qt: header
files, the Qt meta object compiler, man pages, HTML documentation and
example programs. See http://www.trolltech.com/ for more information
about Qt, or file:/usr/share/doc/%{name}-%{version}/html/index.html
for Qt documentation in HTML.

%description devel -l es
Contiene los archivos necesarios para desarrollar aplicaciones usando
Qt: archivos de inclusin, compilador de metaobjetos Qt, pginas de
manual, documentacin HTML y programas ejemplo. Mira
http://www.trolltech.com/ para ms informacin sobre el Qt, o el
archivo file:/usr/share/doc/%{name}-%{version}/html/index.html en la
documentacin en HTML.

%description devel -l pl
Pakiet tem zawiera pliki potrzebne do tworzenia i kompilacji aplikacji
korzystajcych z biblioteki Qt, jak pliki nagwkowe, meta kompiler
(moc), dokumentacj. Zobacz http://www.trolltech.com/ aby dowiedzie
si wicej o Qt. Dokumentacj do biblioteki znajdziesz take pod:
/usr/share/doc/%{name}-%{version}/html/index.html

%description devel -l pt_BR
Contm os arquivos necessrios para desenvolver aplicaes usando Qt:
arquivos de incluso, compilador de meta-objetos Qt, veja
http://www.trolltech.com/ para mais informaes sobre ele.

%package static
Summary:	Qt static libraries
Summary(pl):	Biblioteki statyczne Qt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static QT libraries.

%description static -l pl
Statyczne biblioteki Qt.

%package doc-html
Summary:	QT Documentation in HTML format
Summary(pl):	Dokumentacja QT w formacie HTML
Group:		X11/Development/Libraries

%description doc-html
Qt documentation in HTML format.

%description doc-html -l pl
Dokumentacja qt w formacie HTML.

%package examples
Summary:	Example programs made with Qt version %{version}
Summary(pl):	wiczenia i przykady do Qt
Summary(pt_BR):	Programas exemplo desenvolvidos com o Qt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description examples
Example programs made with Qt version %{version}.

%description examples -l pl
wiczenia/przykady do Qt.

%description examples -l pt_BR
Programas exemplo para o Qt verso %{version}.

%package plugins-mysql
Summary:	Database plugin for mysql Qt support
Summary(pl):	Wtyczka MySQL do Qt
Summary(pt_BR):	Plugin de suporte a mysql para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description plugins-mysql
Database plugin for mysql Qt support.

%description plugins-mysql -l pl
Wtyczka MySQL do Qt.

%description plugins-mysql -l pt_BR
Plugin de suporte a mysql para Qt.

%package plugins-psql
Summary:	Database plugin for pgsql Qt support
Summary(pl):	Wtyczka PostgreSQL do Qt
Summary(pt_BR):	Plugin de suporte a pgsql para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description plugins-psql
Database plugin for pgsql Qt support.

%description plugins-psql -l pl
Wtyczka PostgreSQL do Qt.

%description plugins-psql -l es
Plugin de suporte a pgsql para Qt.

%package plugins-odbc
Summary:	Database plugin for ODBC Qt support
Summary(pl):	Wtyczka ODBC do Qt
Summary(pt_BR):	Plugin de suporte a ODBC para Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description plugins-odbc
Database plugin for ODBC Qt support.

%description plugins-odbc -l pl
Wtyczka ODBC do Qt.

%description plugins-odbc -l pt_BR
Plugin de suporte a ODBC para Qt.

%package utils
Summary:	QT Utils
Summary(pl):	Narzdzia QT
Group:		X11/Development/Tools
Requires:	%{name}-devel = %{epoch}:%{version}

%description utils
QT Development Utilities.

%description utils -l pl
Narzedzia programistyczne QT.

%prep
%setup -q -n %{name}-x11-free-%{version}
%patch0 -p1
#%ifarch %{ix86} ppc
#%%{?_with_prelink:%patch1 -p1}
#%endif
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

# mkspecs has wrong includes what makes it require patching every files that uses qmake
# this is a fix
cd mkspecs
for katalog in * ; do
        if [ -d $katalog ]; then
		cd $katalog
		echo "$katalog"
		sed -e "s/\$(QTDIR)\/include/\$(QTDIR)\/include\/qt/g"  qmake.conf >> qmake.conf.1
		mv -f qmake.conf.1 qmake.conf
		cd ..
	fi
done
cd ..

# There is no file pointed by this sym-link and there is cp -L in %%install
rm -f include/qt_windows.h

%build
QTDIR=`/bin/pwd`; export QTDIR
LD_LIBRARY_PATH="$QTDIR/lib" ; export LD_LIBRARY_PATH
PATH="$QTDIR/bin:$PATH"

# change QMAKE_CFLAGS_RELEASE to build properly optimized libs
perl -pi -e "
	s|-O2|%{rpmcflags}|;
	" mkspecs/linux-g++/qmake.conf

# Fix examples (second part in install section).
#find examples -name '*.pro' -exec \
#	perl -pi -e 's|(DEPENDPATH=)../../include|$1%{_includedir}|' {} \;

DEFAULTOPT="-prefix %{_prefix} -docdir %{_docdir}/%{name}-doc-html-%{version} \
	    -datadir %{_datadir}/qt -headerdir %{_includedir}\
	    -release -qt-gif -system-zlib -no-g++-exceptions -stl \
	    -no-exceptions \
	    -system-libpng -system-libjpeg -system-libmng -sm -xinerama \
	    -xrender -xft -xkb -enable-opengl"
%{?_with_nas:DEFAULTOPT="$DEFAULTOPT -system-nas-sound"}
%{?_without_cups:DEFAULTOPT="$DEFAULTOPT -no-cups"}

STYLESLIST="cde compact motif motifplus platinum sgi windows"

########################################################################
# STATIC SINGLE-THREAD
########################################################################
%if %{!?_without_static:1}%{?_without_static:0}
DEFAULTSTYLES=""
for i in $STYLESLIST; do
	DEFAULTSTYLES="$DEFAULTSTYLES -qt-style-$i"
done

OPTFLAGS="%{rpmcflags}" \
./configure \
	$DEFAULTOPT \
	$DEFAULTSTYLES \
	-fast \
	-no-style-windowsxp \
	-no-thread \
	-qt-imgfmt-png \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng \
	%{!?_without_mysql:-qt-sql-mysql} \
	%{!?_without_odbc:-qt-sql-odbc} \
	%{!?_without_pgsql:-qt-sql-psql} \
	-static \
	<<_EOF_
yes
_EOF_

# Build libraries and everything needed to do this. Do not build examples and
# such. They will be built with shared, sigle-thread libraries.
%{__make} symlinks src-qmake src-moc sub-src

########################################################################
# STATIC MULTI-THREAD
########################################################################

# This will not remove previously compiled libraries.
%{__make} clean

OPTFLAGS="%{rpmcflags}" \
./configure \
	$DEFAULTOPT \
	$DEFAULTSTYLES \
	-fast\
	-no-style-windowsxp \
	-qt-imgfmt-png \
	-qt-imgfmt-jpeg \
	-qt-imgfmt-mng \
	%{!?_without_mysql:-qt-sql-mysql} \
	%{!?_without_odbc:-qt-sql-odbc} \
	%{!?_without_pgsql:-qt-sql-psql} \
	-static \
	-thread \
	<<_EOF_
yes
_EOF_

# Build libraries and everything needed to do this. Do not build examples and
# such. They will be built with shared, sigle-thread libraries.
%{__make} symlinks src-qmake src-moc sub-src
%endif #_without_static

########################################################################
# SHARED SINGLE-THREAD
########################################################################

DEFAULTSTYLES=""
for i in $STYLESLIST; do
	DEFAULTSTYLES="$DEFAULTSTYLES -plugin-style-$i"
done


# This will not remove previously compiled libraries.
%{!?_without_static:%{__make} clean}

# workaround for some nasty bug to avoid linking plugins statically with -lqt-mt
rm -f lib/libqt-mt.prl

OPTFLAGS="%{rpmcflags}" \
./configure \
	$DEFAULTOPT \
	$DEFAULTSTYLES \
	-fast \
	-no-style-windowsxp \
	-no-thread \
	-plugindir %{_libdir}/qt/plugins-st \
	-plugin-imgfmt-png \
	-plugin-imgfmt-jpeg \
	-plugin-imgfmt-mng \
	%{!?_without_mysql:-plugin-sql-mysql} \
	%{!?_without_odbc:-plugin-sql-odbc} \
	%{!?_without_pgsql:-plugin-sql-psql} \
	-shared \
	<<_EOF_
yes
_EOF_

# Build libraries and everything needed to do this. Do not build examples and
# such. They will be built with shared, multi-thread libraries.
%{__make} symlinks src-qmake src-moc sub-src

# Dont make tools, only plugins.
%{__make} -C plugins/src/ sub-imageformats sub-sqldrivers sub-styles

########################################################################
# SHARED MULTI-THREAD
########################################################################

# This will not remove previously compiled libraries. But WILL remove
# plugins. And even if they weren't removed, they would be overwritten
# by next compilation. So they must be backed up.
rm -rf plugins-st
mkdir plugins-st
cp -R plugins/{imageformats,styles} plugins-st
%if %{_withsql}
cp -R plugins/sqldrivers plugins-st
%endif

%{__make} clean

OPTFLAGS="%{rpmcflags}" \
./configure \
	$DEFAULTOPT \
	$DEFAULTSTYLES \
	-no-style-windowsxp \
	-plugindir %{_libdir}/qt/plugins-mt \
	-plugin-imgfmt-png \
	-plugin-imgfmt-jpeg \
	-plugin-imgfmt-mng \
	%{!?_without_mysql:-plugin-sql-mysql} \
	%{!?_without_odbc:-plugin-sql-odbc} \
	%{!?_without_pgsql:-plugin-sql-psql} \
	-shared \
	-thread \
	<<_EOF_
yes
_EOF_

# Do not build tutorial and examples. Provide them as sources.
%{__make} symlinks src-qmake src-moc sub-src sub-tools

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man{1,3},%{_examplesdir}/%{name}/lib} \
	$RPM_BUILD_ROOT%{_libdir}/qt/plugins-{m,s}t/network

QTDIR=`/bin/pwd`; export QTDIR
LD_LIBRARY_PATH="$QTDIR/lib" ; export LD_LIBRARY_PATH
PATH="$QTDIR/bin:$PATH"

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

rm -rf `find $RPM_BUILD_ROOT -name CVS`
rm -rf `find . -name CVS`

install bin/{findtr,qt20fix,qtrename140} \
	tools/msg2qm/msg2qm tools/mergetr/mergetr \
	$RPM_BUILD_ROOT%{_bindir}

install doc/man/man1/*		$RPM_BUILD_ROOT%{_mandir}/man1
install doc/man/man3/*		$RPM_BUILD_ROOT%{_mandir}/man3

%if %{!?_without_static:1}%{?_without_static:0}
install lib/libqt.a		$RPM_BUILD_ROOT%{_libdir}
install lib/libqt-mt.a		$RPM_BUILD_ROOT%{_libdir}
%endif

install lib/libqt.so.*.*.*	$RPM_BUILD_ROOT%{_libdir}
ln -sf libqt.so.%{_qt_sl} $RPM_BUILD_ROOT%{_libdir}/libqt.so

cp -R plugins-st/* $RPM_BUILD_ROOT%{_libdir}/qt/plugins-st/

cp -dpR .qmake.cache examples tutorial \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}

mv $RPM_BUILD_ROOT{%{_libdir}/*.prl,%{_examplesdir}/%{name}/lib}

# Fix Makefiles for tutorial and examples. How people who made so cool
# library could screw build process so badly?
find $RPM_BUILD_ROOT%{_examplesdir}/%{name} -regex '.*/\(examples\|tutorial\).*/Makefile$' -exec \
	perl -pi -e '
		print "QTDIR    = %{_prefix}\n" if $. == 1;
		s|(-I\$\(QTDIR\)/include)|$1/qt|g;
		s|(\$\(QTDIR\))(/mkspecs)|$1/share/qt$2|g;
		s|'$QTDIR'|%{_prefix}|g;
	' {} \;

perl -pi -e "
	s|(QMAKE_INCDIR_QT\\s*=\\s*\\\$\\(QTDIR\\)/include)|\$1/qt|
	" $RPM_BUILD_ROOT/%{_datadir}/qt/kspecs/linux-g++/qmake.conf

# We provide qt style classes as plugins,
# so make corresponding changes to the qconfig.h.
chmod 644 $RPM_BUILD_ROOT%{_includedir}/qconfig.h

cat >> $RPM_BUILD_ROOT%{_includedir}/qconfig.h << EOF

/* All of these style classes we provide as plugins */
#define QT_NO_STYLE_CDE
#define QT_NO_STYLE_COMPACT
#define QT_NO_STYLE_MOTIF
#define QT_NO_STYLE_MOTIFPLUS
#define QT_NO_STYLE_PLATINUM
#define QT_NO_STYLE_SGI
#define QT_NO_STYLE_WINDOWS
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc FAQ LICENSE.* README* changes*
%attr(755,root,root) %{_libdir}/libdesigner.so.*.*.*
%attr(755,root,root) %{_libdir}/libeditor.so.*.*.*
%attr(755,root,root) %{_libdir}/libqassistantclient.so.*.*.*
%attr(755,root,root) %{_libdir}/libqt.so.*.*.*
%attr(755,root,root) %{_libdir}/libqt-mt.so.*.*.*
%attr(755,root,root) %{_libdir}/libqui.so.*.*.*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins*
%dir %{_libdir}/%{name}/plugins*/imageformats
%dir %{_libdir}/%{name}/plugins*/network
%dir %{_libdir}/%{name}/plugins*/styles
%if %{_withsql}
%dir %{_libdir}/%{name}/plugins*/sqldrivers
%endif
%attr(755,root,root) %{_libdir}/%{name}/plugins*/imageformats/*.so
%attr(755,root,root) %{_libdir}/%{name}/plugins*/styles/*.so
%dir %{_datadir}/qt

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/[!adl]*
%attr(755,root,root) %{_bindir}/l[!i]*
%{_libdir}/libdesigner.so
%{_libdir}/libeditor.so
%{_libdir}/libqassistantclient.so
%{_libdir}/libqt.so
%{_libdir}/libqt-mt.so
%{_libdir}/libqui.so
%{_includedir}
%{_datadir}/qt/[!d]*
%{_mandir}/man1/*
%{_mandir}/man3/*

%if %{!?_without_static:1}%{?_without_static:0}
%files static
%defattr(644,root,root,755)
%{_libdir}/*.a
%endif

%files doc-html
%defattr(644,root,root,755)
%{_docdir}/%{name}-doc-html-%{version}

%if %{!?_without_examples:1}%{?_without_examples:0}
%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}
%endif

%if %{!?_without_mysql:1}%{?_without_mysql:0}
%files plugins-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins*/sqldrivers/lib*mysql.so
%endif

%if %{!?_without_pgsql:1}%{?_without_pgsql:0}
%files plugins-psql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins*/sqldrivers/lib*psql.so
%endif

%if %{!?_without_odbc:1}%{?_without_odbc:0}
%files plugins-odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins*/sqldrivers/lib*odbc.so
%endif

%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/[ad]*
%attr(755,root,root) %{_bindir}/li*
%dir %{_libdir}/%{name}/plugins*/designer
%attr(755,root,root) %{_libdir}/%{name}/plugins*/designer/*.so
%{_datadir}/qt/designer

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qt.spec,v $
Revision 1.183.2.4  2003/07/03 21:17:24  ankry
- adapterized

Revision 1.183.2.3  2003/07/03 19:17:26  blues
- fixed URL

Revision 1.183.2.2  2003/07/03 18:47:05  blues
- release 6 merged changes from HEAD

Revision 1.183.2.1  2003/07/01 18:58:24  matkor
- Version 3.1.2. Release 5. Merged from HEAD. Prefixed for Ra. STBR for Ra.

Revision 1.218  2003/06/22 20:23:22  jareq
- fixed epoch:version issue

Revision 1.217  2003/06/13 12:03:42  qboosh
- added qmlined-fix (for compat <qmlined.h> - qtmultilineedit.h doesn't exist in 3.1.2)
- removed autogenerated (*.so.?) and redundant (*.so.?.?) symlinks

Revision 1.216  2003/06/10 08:35:16  qboosh
- reverted: xrender-devel is already required through xft-devel

Revision 1.215  2003/06/04 14:47:27  qboosh
- BR s/XFree86-xft-devel/xft-devel/
- merged BR: XFree86-xrender-devel (by mkochano) - to be changed to xrender-devel?

Revision 1.214  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.213  2003/05/25 06:26:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.212  2003/04/28 01:28:45  kloczek
- relese 5: do not separate level 3 man pages in subpackage (this must be in
  devel subpackage).

Revision 1.211  2003/04/17 20:21:29  adgor
- Fixed qconfig.h modifying

Revision 1.210  2003/04/17 13:08:23  adgor
- Added QT_NO_STYLE definitions to %%{_includedir}/qconfig.h (needed eg for
  PyQT proper build) - fixme if its wrong way
- Release 2

Revision 1.209  2003/04/04 19:33:45  mkochano
- Release 1.1
- BT: XFree86-xft-devel.

Revision 1.208  2003/03/16 20:44:00  qboosh
- fixed plugins-st linking (were linked statically with -lqt-mt instead of
  dynamically with -lqt... don't know why, couldn't find the real problem
  (this overbloated library needs 5h to build), so added workaround)

Revision 1.207  2003/03/09 16:40:25  adgor
- Added network plugins dirs

Revision 1.206  2003/03/07 12:02:52  adgor
- Updated to 3.1.2 (bugfixes release)
- HTML documentation for assistant works now
- Updated qmake-nostatic.patch
- Builds & works
- Release 1

Revision 1.205  2003/03/05 14:38:16  djurban
- fixed libdesigner, libassistant and libeditor,
  they now build as shared libraries.
- THIS CHANGE IS ESSENTIAL FOR MANY THINGS TO WORK
  (adgor: put this in ra_general branch)

Revision 1.204  2003/02/28 10:08:48  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.203  2003/02/22 10:54:51  djurban
- Rel. 3
- Added XCursor fix
- s/_without_psql/_without_pgqsl/ (pgsql is used in other specs)

Revision 1.202  2003/02/14 11:32:12  qboosh
- ouch, once more

Revision 1.201  2003/02/14 11:30:35  qboosh
- ugh, fixed reverted _nosql behaviour

Revision 1.200  2003/02/14 11:27:02  qboosh
- qmake-opt patch is back (updated, needed to build optimized qmake)
- removed libpng 1.2.2 hack
- uncommented qmake.conf patching (needed to build libs optimized for CPU)
- fixed _nosql (rpm doesn't allow nesting the same macro in define)

Revision 1.199  2003/02/14 00:51:19  djurban

- Fixed and extended bconds
- Updated OPTFLAGS
- No Rel++, because no default settings were changed, no need to rebuild,
  if you have rel 2.

Revision 1.198  2003/02/08 17:36:31  mmazur
- somebody forgot about owning /usr/share/qt

Revision 1.197  2003/01/29 14:00:48  adgor
- Commented out Qfont.patch (seems to be obsoleted)

Revision 1.196  2003/01/26 00:40:16  djurban
- fixed _without_static bcond

Revision 1.195  2003/01/25 14:39:24  qboosh
- typo

Revision 1.194  2003/01/18 22:56:18  juandon
- removed two lines with define

Revision 1.193  2003/01/13 09:57:58  adgor
- Prefix /usr
- more subpackages
- Release 2

Revision 1.192  2003/01/07 08:53:07  qboosh
- missing :

Revision 1.191  2003/01/06 21:40:37  qboosh
- fixed stupid commit message (I meant byacc-, not bison-generated)

Revision 1.190  2003/01/06 20:00:43  qboosh
- BR: byacc (not bison!), flex
  (used only because make clean removes supplied flex/byacc-generated files)

Revision 1.189  2003/01/04 14:56:43  misiek
- 3.1.1

Revision 1.188  2002/12/30 20:25:38  qboosh
- cleanups
- removed build-time docs (useless in binary package), added changes instead
- added qt20fix and qtrename140 tools to -devel - could be useful
- why disabling compress_doc?
- messing with strip seems obsolete

Revision 1.187  2002/12/11 16:13:57  wrobell
- rel. 2 to build with new xft support on nest

Revision 1.186  2002/12/06 22:08:36  djurban
- Merging DEVEL
- Rel 2
- %doc returns
- Fixed mkspecs finally
- Please check whether this works, as I am unable to.

Revision 1.182.2.16  2002/11/12 23:00:10  djurban
- Updated to 3.1.0 final
- Removed obsolete QClipboard patch
- Release 1 if it work, Release 2 will be merged with HEAD.

Revision 1.182.2.15  2002/11/06 23:02:13  mkochano
- Epoch 6.

Revision 1.182.2.14  2002/11/06 23:00:04  mkochano
- RC3.

Revision 1.182.2.13  2002/11/05 08:46:47  adgor
- Updated to kde-3.1-rc2
- Release 0.021104.1

Revision 1.182.2.12  2002/10/30 11:48:59  adgor
- Really 20021024 snapshot (from kde ftp)
- Release 4

Revision 1.182.2.11  2002/10/26 22:27:32  djurban
-  Fixed documentation install

Revision 1.182.2.10  2002/10/26 17:53:03  djurban
- Release 0.%{_snapshot}.3
- Does compile. Ready for testing.

Revision 1.182.2.9  2002/10/26 09:56:37  djurban
- Updated to qt-copy 20021025
- Updated fhs and postgres patches
- Added QClipboard patch by Lubos Lunak, which fixes the clipboard
  synchronization between qt and xfree, therefore rpevents klipper from
  taking 100% load.
- Does not compile (am system is ...)

Revision 1.182.2.8  2002/10/21 22:53:24  adgor
- Ramoved %{_docdir} definition (unfortunetly it's used by qt a the build time
  and changing it causes some problems)
- Release 0.%{_snapshot}.2

Revision 1.182.2.7  2002/10/17 13:03:55  cieciwa
- fixed bcond --without psql, --without mysql,
- added --without static,
- added --without examples.

Revision 1.182.2.6  2002/10/16 13:44:19  adgor
- Some combinations with doc files. Please - do not review this. It's needed
  at this time e.g. for designer proper work.

Revision 1.182.2.5  2002/10/15 08:20:09  adgor
- Fixed removing CVS dirs
- Fixed %doc

Revision 1.182.2.4  2002/10/14 22:49:18  adgor
- Version 3,1; Release 0.%{_snapshot}.1; Epoch 5

Revision 1.182.2.3  2002/10/14 21:49:42  adgor
- more *.prl in %{_examplesdir}/%{name}/lib
- Reactivating updated %{name}-QFont.patch
- Cosmetics
- Release 2

Revision 1.182.2.2  2002/10/01 21:54:40  djurban
Updated qt to version 20020930, this should be
pretty stable now. STBR

Revision 1.182.2.1  2002/09/29 12:30:32  djurban
Epoch++, Release 1. Some patches removed, the rest was updated, this is a snapshot from 2002/09/28.

Revision 1.179  2002/09/08 01:13:31  blues
- release 4 - enabled OpenGL - STBR

Revision 1.178  2002/09/05 12:17:17  blues
- release 3 - STBR

Revision 1.177  2002/09/03 22:04:59  blues
- release 2.2 - two patches from RH:
- gcc31dlopen - fix for gcc3
- fix-lv - language fix

Revision 1.176  2002/09/03 15:14:35  mkochano
- Release 2.1.
- Added QFont patch which reverts some changes from version 3.0.5. This
  fixes some problems with fonts on konsole.

Revision 1.175  2002/09/03 11:30:29  mkochano
- Release 2.
- I dont fully understand why, but it this version designer finally
  finds all it's bitmaps.
STBR

Revision 1.174  2002/08/29 22:10:35  qboosh
- use optflags to build qmake too

Revision 1.173  2002/08/28 07:42:40  qboosh
- simplified db bconds, fixed ifarch for objprelink

Revision 1.172  2002/08/07 13:50:19  mkochano
- Release 1.
- Version 3.0.5.
- Removed no longer supported option "-remote".
- Added workround for incorrectly used strip.

Revision 1.171  2002/07/24 09:45:12  mkochano
- Release 5.
- One TODO item (hopefully) solved.

Revision 1.170  2002/07/21 22:15:25  mkochano
- Release 4.
- Removed BuildRequires: nas-devel (to match ./configure options).

Revision 1.169  2002/07/15 12:35:43  kloczek
- more fixes for prelinking.

Revision 1.168  2002/07/15 10:04:52  kloczek
- remove dumb line with %ifarch.

Revision 1.167  2002/07/15 08:49:51  qboosh
- typo, new %%doc

Revision 1.166  2002/07/15 08:46:49  kloczek
- release 3,
- changed bcond for prelinking to _with (seems now it is brken and also
  not used on all archs).

Revision 1.165  2002/07/05 15:21:35  kloczek
- release 2: added Requires: {freetype,libjpeg,libmng,libpng}-devel in devel subpackage.

Revision 1.164  2002/07/04 00:53:17  blues
- reverted styles... pitty...

Revision 1.163  2002/07/04 00:39:34  blues
- added new styles

Revision 1.162  2002/07/03 23:46:57  blues
- nas support is gone (autodetected some crazy way?)
- styles are now in one place defined

Revision 1.161  2002/07/03 22:57:48  blues
- added conflicts qt2-devel
- activated nas support

Revision 1.160  2002/07/03 22:11:52  blues
- translations from CNV

Revision 1.159  2002/07/03 20:07:17  cieciwa
- added bcond.

Revision 1.158  2002/06/30 23:14:42  mkochano
- More TODO.

Revision 1.157  2002/06/30 20:49:20  mkochano
- Added TODO item.

Revision 1.156  2002/06/28 10:15:48  mkochano
- Release 1.

Revision 1.155  2002/06/28 07:14:29  mkochano
- Started update to 3.0.4.
- Release 0.1.

Revision 1.154  2002/05/24 14:22:42  misiek
- rel 0.10

Revision 1.153  2002/05/19 00:15:56  qboosh
- added ">= 2.0.0" to BR: freetype-devel; sorted/cleaned BRs where necessary

Revision 1.152  2002/05/12 22:34:14  mkochano
- Release 0.9.6.
- One more tool, make install doesn't care about.

Revision 1.151  2002/05/12 17:22:01  mkochano
- Release 0.9.5.
- Added file qt forgots to install (thanks misiek).

Revision 1.150  2002/05/08 12:22:33  mkochano
- Epoch 3.
- Version 3.0.3.
- Kurwa ma.

Revision 1.149  2002/05/08 11:50:31  mkochano
- Epoch 2.
- DOWNGRADE to version 3.0.3. KDE-3.0.1 will not build with QT-3.0.3.
- Release 0.9.4.

Revision 1.148  2002/05/06 20:19:55  mkochano
- Release 0.9.3.
- MT plugins in lib/qt/plugins-mt, ST plugins in lib/qt/plugins-st.
  Directory lib/qt/plugins abandoned. It is sometimes added as default
  and this causes problems, in it is searched BEFORE -mt directory. Now
  there should be no such problems.

Revision 1.147  2002/05/05 19:49:05  mkochano
- Release 0.9.2.
- Added configure patch. I've never seen such a buggy build process...

Revision 1.146  2002/05/05 19:23:07  mkochano
- Updated to 3.0.5.
- Release 0.9.1.
- Updated files list.
- Fixed %%install section.

Revision 1.145  2002/05/05 00:16:09  mkochano
- Release 0.9.1.
- Rebuilt with updated FHS patch.

Revision 1.144  2002/05/04 22:01:36  mkochano
- Release 0.9.
- Removed commented out patches. They are not applicable.
- License is GPL / QPL at users opinion.
- BuildRequires: findutils and perl :(
- Replaced sed with perl in %%build.
- Corrected paths in examples and tutorial. I think this is a first time
  when they can be complied after installation without any changes.
  Corrections are done it two stages, in %%build and in %%install.
- Removed lots of commented out stuff.
- -plugindir moved from DEFAULTOPT to ./configure invocations. This is
  because we build separate plugins for single and multi threaded
  versions.
- Changed order of building. Single threaded version are built before
  multi threaded. This is because tutorial and examples are built for
  multi threaded version and it is more convinient to built examples
  last.
- Tutorials are now placed in /usr/src/examples/qt/tutorials instaed of
  /usr/src/tutorials/qt/tutorials. Tutorials and examples must have
  common parent direcory with .qmake.cache file.
- Updated files list (two sets of plugins and tutorials moved).

Revision 1.143  2002/05/01 00:05:36  qboosh
- removed sed from BR (required by rpm-build)
- objprelink is ix86/ppc only; allow to disable it even on ix86 (may cause
  problems)

Revision 1.142  2002/04/29 21:26:06  mkochano
- Release 0.4.
- %%{_datadir}/qt/designer owned by -devel subpackage.

Revision 1.141  2002/04/28 09:34:52  misiek
- include so.* things, too

Revision 1.140  2002/04/26 13:18:35  wiget
hack for building with libpng 1.2.2, release 0.3

Revision 1.139  2002/04/11 18:10:43  mkochano
- Release 0.2.
- Fixed libqt-mt.so in -devel subpackage. For some reason it was actual
  library, not a symlink.
STBR for /test

Revision 1.138  2002/04/01 21:12:43  ankry
- switched to .bz2 source

Revision 1.137  2002/04/01 20:10:11  mkochano
- Updated to 3.0.3.
- Release 0.1.
- Not finished but should work.
STBR for /test.

Revision 1.136  2002/02/28 21:50:21  mkochano
- Release 0.20020222.7
- Corrected %%files to match changes in FHS patch.

Revision 1.135  2002/02/28 18:28:31  mkochano
- Release 0.20020222.6.
- Rebuilt with modified FHS patch.
STBR for /test

Revision 1.134  2002/02/27 23:42:23  mkochano
- Release 0.20020222.5.
- Added FHS patch.

Revision 1.133  2002/02/27 12:23:06  mkochano
- Release 0.20020222.4.
- Back to snapshot. It contains post-3.0.2 code with lots of
  improvements in build process which will be included in 3.0.3.
STBR FOR /test

Revision 1.132  2002/02/27 06:19:33  mkochano
- Release 0.2.
- Commented out ^Patch: style_windowsxp_missing_include (it seemst that
  windowsxp theme is avalable only on windows) and plugins_path
  (replaced by FHS patch). These patches weren't applied.

Revision 1.131  2002/02/27 00:48:52  mkochano
- Release 0.1.
- Started upgrade to official 3.0.2.
- bz Sources again. Trolltech does not provide offical releases in bz2.
- Added patches plugins_path (not applied, to be removed), INSTALL_ROOT
  (DESTDIR is used internally) and FHS (sets plugins dir).
- BuildRequires findutils, sed.
- LD_LIBRARY_PATH pointing to directory containing built libraries so
  tools such as moc use them.
- $QTDIR/bin prepended to path so it not BuildRequires qt-devel :|
- Modify libraries paths in *.pro files in %%build. It's easy to do with
  find and sed, patching will take much more time.
- Updated DEFAULTOPT. -plugindir and -datadir switches no longer
  available (Trolltech suxx).
- Still a lot of commeted out stuff.

Revision 1.130  2002/02/25 23:33:45  mkochano
- Release 0.20020222.3.
- Added mysql_includes and style_windowsxp_missing_include (probably not
  needed --- XP style available only on Windows).
- DEFAULTOPT modified to match FHS.
- Completely new building method. Proper plugin options passed to
  ./configure. Plugins compiled into static version and as loadable
  modules in shared version.
- Four libraries built: static, static-mt, shared and shared-mt.
- Uses make install. Libraries from first three builds installed by
  hand.
- QTDIR and LD_LIBRARY_PATH defined in %%install so make install can
  work.
- examples (sources) in /usr/src/examples/qt.
- tutorials with sources in /usr/src/tutorials/qt (I'm not sure if it is
  proper location.
- Updated files list.
- NOTE: still need to check makefiles of examples for problems reported
  by Lukasz Dobrek.
STBR FOR TESTING

Revision 1.129  2002/02/25 13:29:41  qboosh
- ...so don't buildrequire it on sparc, too

Revision 1.128  2002/02/24 21:53:57  misiek
- objprelink isn't supported on sparc, too

Revision 1.127  2002/02/23 23:20:43  mkochano
- Release 0.20020222.2.
- Corrected arguments of ./configure. Now designer will look for plugins
  in correct location. Some things still may be broken.

Revision 1.126  2002/02/23 22:04:21  mkochano
- Release 0.20020222.1
- Updated to snapshot 2002-02-22.
- Use bz2 source.
- no_bashisms patch no longer needed (merged with sources).
- Addedd postgresql_7_2 patch to make it build with recent postgresql.

Revision 1.125  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.124  2002/02/17 15:21:15  mkochano
- Updated to 3.0.2 snapshot from 2002-01-26 required by kde3beta2.
- Adapterized.

Revision 1.123  2002/01/27 23:43:31  misiek
- partial update to 3.0.1

Revision 1.122  2002/01/18 02:14:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.121  2001/12/28 17:15:57  gotar
- changes in descriptions.

Revision 1.120  2001/11/01 19:16:03  qboosh
- BuildRequires: postgresql-backend-devel
- updated method of passing %%rpmcflags and substitutions of QTDIR in
  examples and tutorial Makefiles to work with qt 3.0.0
- updated tools patch

Revision 1.119  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.118  2001/10/18 10:34:19  misiek
- more typos fixed

Revision 1.117  2001/10/18 10:31:26  misiek
- more typos fixed

Revision 1.116  2001/10/18 10:28:20  misiek
- don't include styles plugins

Revision 1.115  2001/10/18 10:24:11  misiek
- another fix (missing plugins directory

Revision 1.114  2001/10/18 08:24:33  misiek
- pgsql -> psql typos

Revision 1.113  2001/10/18 00:03:58  misiek
- subpackages with sql plugins

Revision 1.112  2001/10/16 15:07:55  misiek
- include qt.so

Revision 1.111  2001/10/16 13:17:45  misiek
- started work on 3.0.0 version (not ready yet)
- need to create mysql/pgsql/odbc plugin subpackages

Revision 1.110  2001/09/30 12:15:57  misiek
- disable objprelink on alpha (because it's not supported)

Revision 1.109  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.108  2001/08/17 20:57:36  mkochano
- Release 2.
- Built using objprelink.
- %%configure replaced with ./configure --- this script has nothing to
  do with autoconf!!

Revision 1.107  2001/08/08 20:15:32  gotar
- cosmetics.

Revision 1.106  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.105  2001/07/03 15:08:11  gotar
- reverted to previous state of requirements.

Revision 1.104  2001/07/03 13:00:36  gotar
- changed OpenGL to XFree86-OpenGL,
- added using %{__*} macros.

Revision 1.103  2001/06/17 11:38:34  misiek
- removed printing patch (similar change already in qt)
- version 2.3.1

Revision 1.102  2001/05/16 13:50:33  kloczek
- release 6: more fixes in charset patch for proper restore locale settings
  (misiek & wiget).

Revision 1.101  2001/04/30 16:05:29  kloczek
- added using %%{rpmcflags} macro.

Revision 1.100  2001/04/07 10:35:03  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.99  2001/04/04 16:27:50  misiek
release 5; fixed seriously broken charset patch; stb

Revision 1.98  2001/04/02 07:01:16  kloczek
- release 4: added libstdc++-devel to Requires list in devel subpackage.

Revision 1.97  2001/03/25 02:13:51  kloczek
- release 3,
- removed obsoleted AA patch and added printing patch handle X fonts well (from mdk).

Revision 1.96  2001/03/18 19:24:04  jajcus
- Release: 2
- Fix for choosing local character set

Revision 1.95  2001/03/08 07:39:00  misiek
2.3.0; stb

Revision 1.94  2001/02/17 13:08:34  dobrek
- Add Req: libmng

Revision 1.93  2001/02/10 19:07:18  kloczek
- release 2: rebuild against libmng 1.0.0.

Revision 1.92  2001/02/03 18:53:23  kloczek
- updated to 2.2.4,
- commented out AA patch (need work),
- removed obsoleted printdialog patch.

Revision 1.91  2001/02/01 21:22:59  kloczek
- release 7: added "Requires: XFree86-devel" for devel subpackage.

Revision 1.90  2001/01/26 04:23:29  kloczek
- added libmng-devel to BuildRequires.

Revision 1.89  2001/01/26 03:38:39  kloczek
- "BuildRequires: XFree86-devel >= 4.0.2" and "Requires: XFree86-libs >= 4.0.2
  (for building with anty alias XRender extension is required).

Revision 1.88  2001/01/26 03:34:52  kloczek
- configure with -no-g++-exceptions, -release, -system-libmng
  (like in rawhide).

Revision 1.87  2001/01/26 03:24:57  kloczek
- fix: patch with -p0 on AA patch.

Revision 1.86  2001/01/26 03:21:02  kloczek
- release 6,
- merge rawide patches: AntyAliasing (AA) and fix QPrintDialog (printdialog).

Revision 1.85  2001/01/25 20:03:48  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.84  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.83  2000/12/19 08:18:04  kloczek
- removed uic, embedded-gcc296 patches (mistake).

Revision 1.82  2000/12/19 08:10:35  kloczek
- release 4, Epoch: 1,
- merge uic, embedded-gcc296 RH patches.

Revision 1.81  2000/12/13 23:49:45  kloczek
- updated to 2.2.3.

Revision 1.80  2000/12/10 19:26:28  dobrek
-Now it builds on AXP

Revision 1.79  2000/12/08 18:31:43  dobrek
- Turnd off optymalization for AXP

Revision 1.78  2000/11/14 05:04:39  kloczek
- updated to 2.2.2.

Revision 1.77  2000/10/25 22:04:10  waszi

- moved includes to /usr/X11R6/include/qt

Revision 1.76  2000/10/24 21:26:05  kloczek
- release 6,
- merge huge_val patch from rawhide,
- make spec %%{debug} ready,
- use new rpm automation.

Revision 1.75  2000/10/24 13:43:48  waszi
- updated to 2.2.1

Revision 1.74  2000/10/18 20:26:43  konrad
- added qt-mt

Revision 1.73  2000/09/17 18:12:10  kloczek
- adapterized.

Revision 1.72  2000/09/17 15:22:24  jajcus
- jpeg support added
- use system zlib
- threads enabled
- msg2qm and mergetr tools compiled and installed (needed for licq)

Revision 1.71  2000/09/15 21:59:38  waszi
- updated to 2.2.0

Revision 1.70  2000/08/30 20:19:17  kloczek
- release 0.beta2.2,
- removed extensions subpackage and added to Obsoletes.

Revision 1.69  2000/08/28 19:37:15  kloczek
- change release to 0.beta2.1 for avoid future problems on upgrade to real
  2.2.0 version.
- fiew wcosmetics.

Revision 1.68  2000/08/24 19:48:20  waszi
- updated to 2.2.0-beta2

Revision 1.67  2000/08/09 15:40:16  kloczek
- release 4.

Revision 1.66  2000/08/09 13:13:00  dobrek
- Added BuildReq: libpng-devel

Revision 1.65  2000/07/28 17:49:56  kloczek
- adapterized.

Revision 1.64  2000/07/28 13:58:32  zagrodzki
- release 3, built against libpng >= 1.0.8

Revision 1.63  2000/07/19 20:13:07  baggins
- release 2
- rebuild with libpng 1.0.7

Revision 1.62  2000/05/29 21:37:50  bonkey
- updated to 2.1.1

Revision 1.61  2000/05/22 09:55:23  kloczek
- release 4,
- removed "BuildRequires: lesstif-devel".

Revision 1.60  2000/05/21 15:27:26  kloczek
- release 3,
- adapterized.

Revision 1.59  2000/05/02 07:33:54  kloczek
- release 2,
- fixed %%{_mandir},
- added Obsoletes: qt-GL, qt-Xt for extensions subpackage.

Revision 1.58  2000/04/20 06:45:35  cieciwa
- changed BuildRequires:
		from Mesa-devel to OpenGL-devel.

Revision 1.57  2000/04/19 09:44:12  cieciwa
- temporary remove BuildRequires: Mesa-devel,
   will be replaced by XFree86-OpenGL-devel

Revision 1.56  2000/04/18 18:18:27  michuz
- changed BuildRoot

Revision 1.55  2000/04/18 10:27:25  michuz
- updated to 2.1.0
- removed few hashed lines
- removed lib_version - kde are compiling without this (finally)

Revision 1.54  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.53  2000/04/03 11:07:31  cieciwa
- fixed MY mistake, //comment needed line//

Revision 1.52  2000/04/01 15:54:13  cieciwa
- NIE TYKAC SIE TEGO SPEC'A !!!!
	przynajmniej na razie.... :)

Revision 1.50  2000/03/31 07:53:49  cieciwa
- temporary removet libqnp .

Revision 1.49  2000/03/31 07:04:21  cieciwa
- updated to snapshots 2000-03-30,
- removed [temporary] some extensions,
- this snapshot is required for KDE snapshots 20000330.

Revision 1.48  2000/02/29 14:38:13  cieciwa
- removed compilation of examples, (with errors),
- removed not included extensions [imageio, xembed],
- change %%{version} in install to %%{_lib_version}.

Compile - OK
Install - OK

Revision 1.46  2000/02/22 22:26:39  michuz
- rewrited for new snapshots 2.1.x

Revision 1.45  1999/12/06 19:15:14  klakier
s/PAYH/PATH

Revision 1.44  1999/10/27 10:34:59  kloczek
- more s/ext/extensions/ .

Revision 1.43  1999/10/27 10:32:15  kloczek
- release 3.1,
- subpackage name ext changed to extensions.

Revision 1.42  1999/10/22 11:51:13  kloczek
- enanled building motif extension and fiew cosmetics.

Revision 1.41  1999/08/12 14:46:32  baggins
- changed install -s to strip (scripts cannot be stripped)

Revision 1.40  1999/08/12 12:00:31  baggins
- typo

Revision 1.39  1999/08/12 11:59:31  baggins
- added CVS macros
- added RPM_OPT_FLAGS to build
- gzipping docs instead of bzip2

* Thu Aug 12 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.0.1-3]
- fixes problem with tutorial and examples.

* Wed Aug 11 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
- fixes BuildRequires problem.

* Tue Aug 10 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.0.1-2]
- fixes problem with Lesstif.

* Mon Aug  9 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.0.1-1]
- update to last version.

* Tue Jun 15 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.00beta2-snapshot-19990614-1]
- update to last version.

* Mon Jun 14 1999 Wojciech "Sas" Ciciwa <cieciwa@alpha.zarz.agh.edu.pl>
  [2.00beta2-snapshot-19990613-1]
- build RPM.
